Page MenuHomePhabricator

efl: Property_Bind should actually tell us if it succeeded or failed by returning an Eina.Error.
ClosedPublic

Authored by cedric on Feb 13 2019, 10:51 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Feb 13 2019, 10:51 AM
segfaultxavi requested changes to this revision.Feb 14 2019, 2:48 AM

Just two minor details. I cannot comment on the implementation.

src/lib/efl/interfaces/efl_ui_property_bind.eo
18

TABS!

src/lib/elementary/efl_ui_image.c
1970

Shouldn't this return something?

This revision now requires changes to proceed.Feb 14 2019, 2:48 AM
cedric updated this revision to Diff 19455.Feb 15 2019, 2:54 PM

Rebase.

bu5hm4n requested changes to this revision.Feb 22 2019, 1:11 AM

Mhmmm, bool or eina error, i can imagine that it is helpfull to know the difference between "Property does not exist" and "Hey, you already binded that"

This revision now requires changes to proceed.Feb 22 2019, 1:11 AM
cedric updated this revision to Diff 19778.Feb 27 2019, 1:37 PM
cedric edited the summary of this revision. (Show Details)

Rebase, and change the return to be an Eina.Error and forgot to update the commit message (will do if that if it is the only missing bits)

segfaultxavi accepted this revision.Feb 28 2019, 2:43 AM

My concerns have been addressed, but I still cannot comment on the implementation.

bu5hm4n accepted this revision.Feb 28 2019, 9:59 AM

Cool!

This revision is now accepted and ready to land.Feb 28 2019, 9:59 AM
cedric updated this revision to Diff 19862.Mar 1 2019, 10:29 AM
cedric retitled this revision from efl: Property_Bind should actually tell us if it succeeded or failed by returning a boolean. to efl: Property_Bind should actually tell us if it succeeded or failed by returning an Eina.Error..

Rebase.

cedric updated this revision to Diff 20048.Mar 6 2019, 3:40 PM

Rebase.

This revision was automatically updated to reflect the committed changes.